# **********************************************************************
# Copyright 2018 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************
import json

from cli.commands.cli_command_provider import CliCommandProvider
from cli.commands.lcp_common.nsx_proxy.client import get_nsxproxy_cli_output
from cli.commands.lcp_common.nsx_proxy.client import deserialize_to_obj


class GetAgentMonitorStatus(CliCommandProvider):
    def __call__(self, cmd_list):
        response = get_nsxproxy_cli_output("get/monitor-status")
        output = deserialize_to_obj(response)
        if output is None:
           return "MSG_HOST_NSXPROXY_AGENT_MONITOR_STATUS_GET_FAILED"

        return "OK\n\n%s" % json.dumps(output)
