# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

logger.info("data_store:{}".format(data_store))

def handle_notification(service, notification, profile):
    logger.info("service {} notification{}".format(service, notification))
    if data_store['config']['trace_type'] == 3:
       Exportdata(data = notification['nsx.trace.spans'],
                  exports = ['wavefront_tracing'])
    elif data_store['config']['trace_type'] == 1:
       Exportdata(data = notification['nsx.trace.spans'],
                  exports = ['tracing_file'])

profile = data_store['profile']
for key in data_store['metrics'].keys():
    if data_store['metrics'][key]:
        notification = data_store['metrics'][key]['value']
        handle_notification(key, notification, profile)
    else:
        logger.warning("Metric {}: No changes needs be reported.".format(key))
